<template>
  <div class="echart5_box">
    <div id="echart5"></div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return { myChart:null };
  },
  mounted() {
    this.lineChart();
    this.$bus.$on('resizeEchart', (res) => {
      this.myChart.resize();
    });
  },
  //方法集合
  methods: {
    lineChart() {
      let option = {
        title: {
          text: '各类数据占比',
          top:'15',
          textStyle: {
            color: '#fff',
          },
        },
        tooltip: {
          trigger: 'axis',
          axisPointer: {
            // Use axis to trigger tooltip
            type: 'shadow', // 'shadow' as default; can also be 'line' or 'shadow'
          },
        },
        legend: {
          top:30,
          right:0,
          textStyle: {
            color: '#fff',
          },
        },
        grid: {
          left: '3%',
          right: '4%',
          bottom: '3%',
          containLabel: true,
        },
        xAxis: {
          type: 'value',
          axisLabel: {
            color: '#fff',
          },
        },
        yAxis: {
          axisLabel: {
            color: '#fff',
          },
          type: 'category',
          data: ['勘察数据', '岩土数据', '测量数据', '合规数据', '管理数据'],
        },
        series: [
          {
            name: '存儲量',
            type: 'bar',
            stack: 'total',
            label: {
              show: true,
              textStyle: {
                color: '#fff',
              },
            },
            emphasis: {
              focus: 'series',
            },
            data: [122880, 40960, 153600, 5120, 28672],
          },

          {
            name: '总量',
            type: 'bar',
            stack: 'total',
            label: {
              show: true,
              textStyle: {
                color: '#fff',
              },
            },
            emphasis: {
              focus: 'series',
            },
            data: [351232, 351232, 351232, 351232, 351232],
          },
        ],
      };
      this.myChart = this.$echarts.init(document.getElementById('echart5'));
      this.myChart.setOption(option);
      window.addEventListener('resize', function () {
        this.myChart.resize();
      });
    },
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.echart5_box {
   padding: 20px;
  width: 100%;
  height: 100%;
}
#echart5 {
  width: calc(100% - 40px);
  height: calc(100% - 40px);
}
</style>
